Установка Eclipse в МСВС 5.0

IDE, VCS и прочее

Модератор: Модераторы разделов

Аватара пользователя
ArkanJR
Сообщения: 1154
Статус: Профан

Установка Eclipse в МСВС 5.0

Сообщение ArkanJR »

Никто не в курсе какая версия Eclipse работает с GTK+ 2.10.4? А то для Eclipse 4.5 требуется как минимум 2.18.0.
— Да, это была ошибка, Кемп, огромная ошибка, что я взялся один за это дело. Напрасно потрачены силы, время, возможности. Один… Удивительно, как беспомощен человек, когда он один! Мелкая кража, потасовка — и всё.

© Г. Уэллс "Человек-невидимка"
Спасибо сказали:
Аватара пользователя
ArkanJR
Сообщения: 1154
Статус: Профан

Re: Установка Eclipse в МСВС 5.0

Сообщение ArkanJR »

Попробовал установить Eclipse 4.3. На этот раз было выдано сообщение:
Version 1.4.2 of the JVM is not suitable for this product. Version 1.6 or greater is required.

Из чего сделал вывод, что версия GTK+ для данной версии Eclipse подходящая, теперь дело за подходящей версией JVM.

Правда здесь образовалась развилка: подобрать Eclipse, которой подойдёт JVM 1.4.2 (для Eclipse 4.2 требуется JVM уже версии 1.5, а не 1.6) или же попытать счастье установкой JVM 1.6?
— Да, это была ошибка, Кемп, огромная ошибка, что я взялся один за это дело. Напрасно потрачены силы, время, возможности. Один… Удивительно, как беспомощен человек, когда он один! Мелкая кража, потасовка — и всё.

© Г. Уэллс "Человек-невидимка"
Спасибо сказали:
Аватара пользователя
ArkanJR
Сообщения: 1154
Статус: Профан

Re: Установка Eclipse в МСВС 5.0

Сообщение ArkanJR »

Итог на данный момент: при попытке запуска Eclipse 3.3, 3.4, 3.5, 3.6, 3.7 требуется JVM версии не ниже 1.5.

Если продолжить понижать версии Eclipse, то там идёт совсем уж седая старина; наверное, стоит покумекать, как обновить JVM в МСВС 5.0...
— Да, это была ошибка, Кемп, огромная ошибка, что я взялся один за это дело. Напрасно потрачены силы, время, возможности. Один… Удивительно, как беспомощен человек, когда он один! Мелкая кража, потасовка — и всё.

© Г. Уэллс "Человек-невидимка"
Спасибо сказали:
Аватара пользователя
ArkanJR
Сообщения: 1154
Статус: Профан

Re: Установка Eclipse в МСВС 5.0

Сообщение ArkanJR »

Перед установкой JRE рекомендуется удалить из системы старую версию java. Но в МСВС java завязана на многие сторонние программы, некоторые из них, в свою очередь, на следующие софтины. Будет ли это всё работать под свежей java — неизвестно...
— Да, это была ошибка, Кемп, огромная ошибка, что я взялся один за это дело. Напрасно потрачены силы, время, возможности. Один… Удивительно, как беспомощен человек, когда он один! Мелкая кража, потасовка — и всё.

© Г. Уэллс "Человек-невидимка"
Спасибо сказали:
Аватара пользователя
ArkanJR
Сообщения: 1154
Статус: Профан

Re: Установка Eclipse в МСВС 5.0

Сообщение ArkanJR »

Запуск Eclipse 3.1 завершился успехом. Только данная IDE предназначается для программирования на java. Раз Eclipse под другие языки программирования идут с версий, сделанных в виде проектов (Callisto, Europa, Ganymede, Galileo, Helios, Indigo, Juno, Kepler, Luna, Mars, Neon), то результат печальный, поскольку интересовало "Затмение", заточенное под кодинг на C/C++.
У вас нет необходимых прав для просмотра вложений в этом сообщении.
— Да, это была ошибка, Кемп, огромная ошибка, что я взялся один за это дело. Напрасно потрачены силы, время, возможности. Один… Удивительно, как беспомощен человек, когда он один! Мелкая кража, потасовка — и всё.

© Г. Уэллс "Человек-невидимка"
Спасибо сказали: